> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all milestones, filter by query



## OpenAPI

````yaml get /milestones
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /milestones:
    get:
      tags:
        - Milestones
      summary: Retrieve all milestones, filter by query
      parameters:
        - name: status
          in: query
          description: >-
            Filter by a status, e.g. [open, submitted, approved, rejected,
            change_requested, on_hold, draft]
          schema:
            type: string
        - name: created
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created
            timestamp for object.
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: approved
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: due_on
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: sort
          in: query
          description: >-
            Results are sorted by created desc as default.

            Ordering may be specified, available options are ['approved',
            created', 'updated'], which can be combined in a comma separated
            list,

            e.g. approved:desc,updated:desc,created:asc 
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results returned per request
          schema:
            type: integer
        - name: page
          in: query
          description: Paginate results when number of results exceeds limit
          schema:
            type: integer
        - name: job_id
          in: query
          description: Filter milestones by job id
          schema:
            type: integer
        - name: supplier_id
          in: query
          description: filter milestones by supplier id
          schema:
            type: integer
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  milestones:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '66'
                        client_suggested:
                          type: boolean
                          example: 'true'
                        title:
                          type: string
                          example: Title of Milestone
                        details:
                          type: string
                          example: Details of Milestone
                        rate:
                          type: string
                          example: '1500.00'
                        ccy:
                          type: string
                          example: GBP
                        due_on:
                          type: string
                          format: date-time
                        interim_valuation_date:
                          type: string
                          format: date-time
                        notes:
                          type: string
                          example: some notes relating to the milestone
                        comments:
                          type: string
                          example: some comments relating to the milestone
                        job_id:
                          type: integer
                          example: '2669'
                        job_summary:
                          type: string
                          example: summary of miestone
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        status:
                          type: string
                          example: open
                        approved_at:
                          type: string
                          format: date-time
                        approved_by:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '7158'
                            first_name:
                              type: string
                              example: Jack
                            last_name:
                              type: string
                              example: Jones
                            email:
                              type: string
                              example: jack_jones@example.com
                            org_name:
                              type: string
                              example: Organisation Ltd
                            org_id:
                              type: integer
                              example: '567'
                            business_unit:
                              type: string
                              example: Public Private Partnerships
                            division:
                              type: string
                              example: Infastructure
                            department:
                              type: string
                              example: Bridges
                            vetting_status:
                              type: string
                              example: PASSED
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
                            has_oversight:
                              type: string
                              format: 'true'
                        level_1_approved_at:
                          type: string
                          format: date-time
                        level_1_approved_by:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '258'
                            first_name:
                              type: string
                              example: John
                            last_name:
                              type: string
                              example: Smith
                            email:
                              type: string
                              example: john_smith@example.com
                            org_name:
                              type: string
                              example: Smith Co Ltd
                            org_id:
                              type: integer
                              example: '200'
                            business_unit:
                              type: string
                              example: Public Private Partnerships
                            division:
                              type: string
                              example: Infastructure
                            department:
                              type: string
                              example: Bridges
                            vetting_status:
                              type: string
                              example: PASSED
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
                            has_oversight:
                              type: string
                              format: 'true'
                        children:
                          type: array
                          items:
                            type: integer
                            example: '124'
                        parents:
                          type: array
                          items:
                            type: integer
                            example: '14'
                        custom_fields:
                          type: object
                          properties:
                            key:
                              type: string
                              example: value
        '401':
          description: unauthorized
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````